Summary: a hungarian language preprocessor for TeX
Name: hion
Version: 4.0
Release: 7
Copyright: GPL
Vendor: Peter Verhas <verhas@a1.bpsof.bps.mts.dec.com>
URL: http://WWW.iSYS.hu/c/verhas/progs/c/hion/index.html
Group: Applications/Publishing
Source0: http://WWW.iSYS.hu/c/verhas/progs/c/hion/hion.c
Source1: http://WWW.iSYS.hu/c/verhas/progs/c/hion/hion.dct
Source1: http://WWW.iSYS.hu/c/verhas/progs/c/hion/hion.dcb
Source2: http://WWW.iSYS.hu/c/verhas/progs/c/hion/hioni.dct
Source3: http://WWW.iSYS.hu/c/verhas/progs/c/hion/hion.1
Source4: http://WWW.iSYS.hu/c/verhas/progs/c/hion/hion.hun
Source5: http://WWW.iSYS.hu/c/verhas/progs/c/hion/hion.html
Source6: http://WWW.iSYS.hu/c/verhas/progs/c/hion/kiad.hun
Source7: http://WWW.iSYS.hu/c/verhas/progs/c/hion/kiad.txt
Source8: http://WWW.iSYS.hu/c/verhas/progs/c/hion/reg.hun
Source9: http://WWW.iSYS.hu/c/verhas/progs/c/hion/reg.txt
Source10: http://WWW.iSYS.hu/c/verhas/progs/c/hion/compare.c
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%changelog
* Mon Oct 01 2001 Peter Soos  <sp@osb.hu>
- rebuilt under RedHat Linux 7.2 beta

* Thu May 03 2001 Peter Soos  <sp@osb.hu>
- rebuilt under RedHat Linux 7.1

* Wed Apr 18 2001 Peter Soos <sp@osb.hu>
- Updated for RedHat Linux 7.0

* Wed May 12 1999 Peter Soos <sp@osb.hu>
- corrected the file and directory attributes to rebuild the package
  under RedHat Linux 6.0

* Fri Dec 25 1998 Peter Soos <sp@osb.hu>
- Corrected the file and directory attributes

* Mon Jun 22 1998 Peter Soos <sp@osb.hu>
- Using %attr

* Tue Apr 20 1998 Peter Soos <sp@osb.hu>
- Updated to version 4.0

* Thu Mar 19 1998 Peter Soos <sp@osb.hu>
- Corrected the URLs

* Sun Jan 18 1998 Peter Soos <sp@osb.hu>
- Patch for bad dictionary error

* Tue Dec 9 1997 Peter Soos <sp@osb.hu>
- Recompiled under RedHat Linux 5.0
- Using BuildRoot

%prep
%setup -c -T

%description
HiOn is a hungarian language preprocessor and code converter for TeX.

%build
cc ${RPM_OPT_FLAGS} -o hion ${RPM_SOURCE_DIR}/hion.c
cc ${RPM_OPT_FLAGS} -o compare ${RPM_SOURCE_DIR}/compare.c

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
mkdir -p ${RPM_BUILD_ROOT}/usr/dict
install -m755 hion compare ${RPM_BUILD_ROOT}%{_bindir}
install -m644 ${RPM_SOURCE_DIR}/hion.1 ${RPM_BUILD_ROOT}%{_mandir}/man1
install -m644 ${RPM_SOURCE_DIR}/hioni.dct ${RPM_BUILD_ROOT}/usr/dict/hion.dct
install -m644 ${RPM_SOURCE_DIR}/hion.dcb ${RPM_BUILD_ROOT}/usr/dict
ln -sf hion ${RPM_BUILD_ROOT}%{_bindir}/huon
ln -sf hion ${RPM_BUILD_ROOT}%{_bindir}/huoff
ln -sf hion ${RPM_BUILD_ROOT}%{_bindir}/numoff

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(0644, root, root, 0755)
%doc ${RPM_SOURCE_DIR}/hion.html
%doc ${RPM_SOURCE_DIR}/hion.hun
%doc ${RPM_SOURCE_DIR}/kiad.hun
%doc ${RPM_SOURCE_DIR}/kiad.txt
%doc ${RPM_SOURCE_DIR}/reg.hun
%doc ${RPM_SOURCE_DIR}/reg.txt
%config /usr/dict/hion.dct
%config /usr/dict/hion.dcb
%attr(0755, root, root) %{_bindir}/hion
%attr(0755, root, root) %{_bindir}/compare
%attr(0755, root, root) %{_bindir}/huon
%attr(0755, root, root) %{_bindir}/huoff
%attr(0755, root, root) %{_bindir}/numoff
%{_mandir}/man1/hion.1*
